petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatIsStructurallySymmetric

Test whether a matrix is structurally symmetric

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsStructurallySymmetric(Mat A,PetscBool *flg)

Collective on Mat

### Input Parameter

A -the matrix to test

### Output Parameters

flg -the result

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsSymmetric(), MatSetOption()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatIsStructurallySymmetric_IS in src/mat/impls/is/matis.c
MatIsStructurallySymmetric_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages